//
//  AppController.m
//  Lottery
//
//  Created by Alex Nichol on 8/12/09.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import "AppController.h"


@implementation AppController
- (IBAction)generateNewNumbers:(id)sender {
	int i;
	NSString * newText;
	NSCalendarDate * entryDate;
	
	newText = [[NSString alloc] init];
	entryDate = [NSCalendarDate calendarDate];
	
	if (!entries) {
		entries = [[NSMutableArray alloc] init];
	}
	for (i = 0; i < [entries count]; i++) {
		[(LotteryEntry *)[entries objectAtIndex:i] deallocate];
		[(LotteryEntry *)[entries objectAtIndex:i] autorelease];
	}
	[entries removeAllObjects];
	for (i = 0; i < 10; i++) {
		NSCalendarDate * lastDate = entryDate;
		entryDate = [[NSCalendarDate alloc] initWithYear:[lastDate yearOfCommonEra] 
												   month:[lastDate monthOfYear] 
													 day:([lastDate dayOfMonth] + 7)
													hour:[lastDate hourOfDay] 
												  minute:[lastDate minuteOfHour] 
												  second:[lastDate secondOfMinute] 
												timeZone:nil];
		LotteryEntry * le = [[LotteryEntry alloc] init];
		[le setDate:entryDate 
		firstNumber:((arc4random() % 99) + 1) 
	   secondNumber:((arc4random() % 99) + 1) 
		thirdNumber:((arc4random() % 99) + 1)];
		[entries addObject:le];
	}
	for (i = 0; i < [entries count]; i++) {
		LotteryEntry * le = (LotteryEntry *)[entries objectAtIndex:i];
		newText = [newText stringByAppendingFormat:@"%@\n", [le getStringVersion]];
	}
	[entriesText setStringValue:newText];
}
@end
